Index: branches/src/ProcessManagement/ProcessManagement/Forms/Master/Component/FrmComponent.designer.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/Master/Component/FrmComponent.designer.cs	(revision 351)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/Master/Component/FrmComponent.designer.cs	(revision 352)
@@ -36,8 +36,6 @@
             System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle5 = new System.Windows.Forms.DataGridViewCellStyle();
             System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle6 = new System.Windows.Forms.DataGridViewCellStyle();
             System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle7 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle8 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle9 = new System.Windows.Forms.DataGridViewCellStyle();
             this.btnDataEntry = new System.Windows.Forms.Button();
             this.btnEnd = new System.Windows.Forms.Button();
             this.label1 = new System.Windows.Forms.Label();
@@ -47,11 +45,6 @@
             this.btnDispDown = new System.Windows.Forms.Button();
             this.btnDispUp = new System.Windows.Forms.Button();
             this.tableLayoutPanel1 = new System.Windows.Forms.TableLayoutPanel();
-            this.dgvTypeList = new ProcessManagement.Forms.CustomControls.DataGridViewEX();
-            this.dataGridViewTextBoxColumn1 = new System.Windows.Forms.DataGridViewTextBoxColumn();
-            this.dataGridViewTextBoxColumn2 = new System.Windows.Forms.DataGridViewTextBoxColumn();
-            this.dataGridViewTextBoxColumn3 = new System.Windows.Forms.DataGridViewTextBoxColumn();
-            this.Column6 = new System.Windows.Forms.DataGridViewCheckBoxColumn();
             this.label6 = new System.Windows.Forms.Label();
             this.lblStaticItemCode = new System.Windows.Forms.Label();
             this.cmbMyExpenses = new System.Windows.Forms.ComboBox();
@@ -72,7 +65,6 @@
             this.Column4 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.Column5 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.tableLayoutPanel1.SuspendLayout();
-            ((System.ComponentModel.ISupportInitialize)(this.dgvTypeList)).BeginInit();
             ((System.ComponentModel.ISupportInitialize)(this.dgvWorkList)).BeginInit();
             this.SuspendLayout();
             // 
@@ -189,7 +181,6 @@
             this.tableLayoutPanel1.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle(System.Windows.Forms.SizeType.Absolute, 150F));
             this.tableLayoutPanel1.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle(System.Windows.Forms.SizeType.Absolute, 210F));
             this.tableLayoutPanel1.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle(System.Windows.Forms.SizeType.Absolute, 250F));
-            this.tableLayoutPanel1.Controls.Add(this.dgvTypeList, 0, 5);
             this.tableLayoutPanel1.Controls.Add(this.label6, 0, 4);
             this.tableLayoutPanel1.Controls.Add(this.lblStaticItemCode, 0, 0);
             this.tableLayoutPanel1.Controls.Add(this.cmbMyExpenses, 1, 4);
@@ -202,90 +193,16 @@
             this.tableLayoutPanel1.Controls.Add(this.cmbDirectInput, 1, 3);
             this.tableLayoutPanel1.Location = new System.Drawing.Point(600, 100);
             this.tableLayoutPanel1.Name = "tableLayoutPanel1";
-            this.tableLayoutPanel1.RowCount = 6;
+            this.tableLayoutPanel1.RowCount = 5;
             this.tableLayoutPanel1.RowStyles.Add(new System.Windows.Forms.RowStyle(System.Windows.Forms.SizeType.Absolute, 35F));
             this.tableLayoutPanel1.RowStyles.Add(new System.Windows.Forms.RowStyle(System.Windows.Forms.SizeType.Absolute, 35F));
             this.tableLayoutPanel1.RowStyles.Add(new System.Windows.Forms.RowStyle(System.Windows.Forms.SizeType.Absolute, 35F));
             this.tableLayoutPanel1.RowStyles.Add(new System.Windows.Forms.RowStyle(System.Windows.Forms.SizeType.Absolute, 35F));
             this.tableLayoutPanel1.RowStyles.Add(new System.Windows.Forms.RowStyle(System.Windows.Forms.SizeType.Absolute, 35F));
-            this.tableLayoutPanel1.RowStyles.Add(new System.Windows.Forms.RowStyle(System.Windows.Forms.SizeType.Absolute, 200F));
-            this.tableLayoutPanel1.Size = new System.Drawing.Size(610, 375);
+            this.tableLayoutPanel1.RowStyles.Add(new System.Windows.Forms.RowStyle(System.Windows.Forms.SizeType.Absolute, 20F));
+            this.tableLayoutPanel1.Size = new System.Drawing.Size(610, 175);
             this.tableLayoutPanel1.TabIndex = 23;
             // 
-            // dgvTypeList
-            // 
-            this.dgvTypeList.AllowUserToAddRows = false;
-            this.dgvTypeList.AllowUserToDeleteRows = false;
-            this.dgvTypeList.AllowUserToResizeColumns = false;
-            this.dgvTypeList.AllowUserToResizeRows = false;
-            this.dgvTypeList.BackgroundColor = System.Drawing.Color.White;
-            this.dgvTypeList.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
-            dataGridViewCellStyle1.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
-            dataGridViewCellStyle1.BackColor = System.Drawing.SystemColors.Control;
-            dataGridViewCellStyle1.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            dataGridViewCellStyle1.ForeColor = System.Drawing.SystemColors.WindowText;
-            dataGridViewCellStyle1.SelectionBackColor = System.Drawing.SystemColors.Highlight;
-            dataGridViewCellStyle1.SelectionForeColor = System.Drawing.SystemColors.HighlightText;
-            dataGridViewCellStyle1.WrapMode = System.Windows.Forms.DataGridViewTriState.True;
-            this.dgvTypeList.ColumnHeadersDefaultCellStyle = dataGridViewCellStyle1;
-            this.dgvTypeList.ColumnHeadersHeightSizeMode = System.Windows.Forms.DataGridViewColumnHeadersHeightSizeMode.DisableResizing;
-            this.dgvTypeList.Columns.AddRange(new System.Windows.Forms.DataGridViewColumn[] {
-            this.dataGridViewTextBoxColumn1,
-            this.dataGridViewTextBoxColumn2,
-            this.dataGridViewTextBoxColumn3,
-            this.Column6});
-            this.tableLayoutPanel1.SetColumnSpan(this.dgvTypeList, 3);
-            this.dgvTypeList.EditMode = System.Windows.Forms.DataGridViewEditMode.EditProgrammatically;
-            this.dgvTypeList.EnableHeadersVisualStyles = false;
-            this.dgvTypeList.Location = new System.Drawing.Point(3, 178);
-            this.dgvTypeList.Name = "dgvTypeList";
-            this.dgvTypeList.RowHeadersVisible = false;
-            this.dgvTypeList.RowHeadersWidth = 20;
-            this.dgvTypeList.RowHeadersWidthSizeMode = System.Windows.Forms.DataGridViewRowHeadersWidthSizeMode.DisableResizing;
-            this.dgvTypeList.RowTemplate.Height = 20;
-            this.dgvTypeList.SelectionMode = System.Windows.Forms.DataGridViewSelectionMode.FullRowSelect;
-            this.dgvTypeList.Size = new System.Drawing.Size(600, 185);
-            this.dgvTypeList.TabIndex = 48;
-            this.dgvTypeList.Visible = false;
-            // 
-            // dataGridViewTextBoxColumn1
-            // 
-            this.dataGridViewTextBoxColumn1.AutoSizeMode = System.Windows.Forms.DataGridViewAutoSizeColumnMode.None;
-            dataGridViewCellStyle2.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
-            dataGridViewCellStyle2.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            this.dataGridViewTextBoxColumn1.DefaultCellStyle = dataGridViewCellStyle2;
-            this.dataGridViewTextBoxColumn1.Frozen = true;
-            this.dataGridViewTextBoxColumn1.HeaderText = "№";
-            this.dataGridViewTextBoxColumn1.Name = "dataGridViewTextBoxColumn1";
-            this.dataGridViewTextBoxColumn1.ReadOnly = true;
-            this.dataGridViewTextBoxColumn1.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
-            this.dataGridViewTextBoxColumn1.Width = 60;
-            // 
-            // dataGridViewTextBoxColumn2
-            // 
-            this.dataGridViewTextBoxColumn2.Frozen = true;
-            this.dataGridViewTextBoxColumn2.HeaderText = "種別コード";
-            this.dataGridViewTextBoxColumn2.Name = "dataGridViewTextBoxColumn2";
-            this.dataGridViewTextBoxColumn2.ReadOnly = true;
-            this.dataGridViewTextBoxColumn2.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
-            this.dataGridViewTextBoxColumn2.Visible = false;
-            // 
-            // dataGridViewTextBoxColumn3
-            // 
-            this.dataGridViewTextBoxColumn3.Frozen = true;
-            this.dataGridViewTextBoxColumn3.HeaderText = "工事種別";
-            this.dataGridViewTextBoxColumn3.Name = "dataGridViewTextBoxColumn3";
-            this.dataGridViewTextBoxColumn3.ReadOnly = true;
-            this.dataGridViewTextBoxColumn3.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
-            this.dataGridViewTextBoxColumn3.Width = 460;
-            // 
-            // Column6
-            // 
-            this.Column6.Frozen = true;
-            this.Column6.HeaderText = "使用";
-            this.Column6.Name = "Column6";
-            this.Column6.Width = 60;
-            // 
             // label6
             // 
             this.label6.Anchor = System.Windows.Forms.AnchorStyles.Left;
@@ -318,7 +235,7 @@
             this.cmbMyExpenses.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
             this.cmbMyExpenses.FlatStyle = System.Windows.Forms.FlatStyle.Popup;
             this.cmbMyExpenses.FormattingEnabled = true;
-            this.cmbMyExpenses.Location = new System.Drawing.Point(153, 145);
+            this.cmbMyExpenses.Location = new System.Drawing.Point(153, 147);
             this.cmbMyExpenses.Name = "cmbMyExpenses";
             this.cmbMyExpenses.Size = new System.Drawing.Size(200, 24);
             this.cmbMyExpenses.TabIndex = 46;
@@ -380,7 +297,7 @@
             this.cmbSubItems.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
             this.cmbSubItems.FlatStyle = System.Windows.Forms.FlatStyle.Popup;
             this.cmbSubItems.FormattingEnabled = true;
-            this.cmbSubItems.Location = new System.Drawing.Point(153, 75);
+            this.cmbSubItems.Location = new System.Drawing.Point(153, 77);
             this.cmbSubItems.Name = "cmbSubItems";
             this.cmbSubItems.Size = new System.Drawing.Size(200, 24);
             this.cmbSubItems.TabIndex = 2;
@@ -405,7 +322,7 @@
             this.cmbDirectInput.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
             this.cmbDirectInput.FlatStyle = System.Windows.Forms.FlatStyle.Popup;
             this.cmbDirectInput.FormattingEnabled = true;
-            this.cmbDirectInput.Location = new System.Drawing.Point(153, 110);
+            this.cmbDirectInput.Location = new System.Drawing.Point(153, 112);
             this.cmbDirectInput.Name = "cmbDirectInput";
             this.cmbDirectInput.Size = new System.Drawing.Size(200, 24);
             this.cmbDirectInput.TabIndex = 3;
@@ -442,14 +359,14 @@
             this.dgvWorkList.AllowUserToResizeRows = false;
             this.dgvWorkList.BackgroundColor = System.Drawing.Color.White;
             this.dgvWorkList.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
-            dataGridViewCellStyle3.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
-            dataGridViewCellStyle3.BackColor = System.Drawing.SystemColors.Control;
-            dataGridViewCellStyle3.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            dataGridViewCellStyle3.ForeColor = System.Drawing.SystemColors.WindowText;
-            dataGridViewCellStyle3.SelectionBackColor = System.Drawing.SystemColors.Highlight;
-            dataGridViewCellStyle3.SelectionForeColor = System.Drawing.SystemColors.HighlightText;
-            dataGridViewCellStyle3.WrapMode = System.Windows.Forms.DataGridViewTriState.True;
-            this.dgvWorkList.ColumnHeadersDefaultCellStyle = dataGridViewCellStyle3;
+            dataGridViewCellStyle1.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            dataGridViewCellStyle1.BackColor = System.Drawing.SystemColors.Control;
+            dataGridViewCellStyle1.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            dataGridViewCellStyle1.ForeColor = System.Drawing.SystemColors.WindowText;
+            dataGridViewCellStyle1.SelectionBackColor = System.Drawing.SystemColors.Highlight;
+            dataGridViewCellStyle1.SelectionForeColor = System.Drawing.SystemColors.HighlightText;
+            dataGridViewCellStyle1.WrapMode = System.Windows.Forms.DataGridViewTriState.True;
+            this.dgvWorkList.ColumnHeadersDefaultCellStyle = dataGridViewCellStyle1;
             this.dgvWorkList.ColumnHeadersHeightSizeMode = System.Windows.Forms.DataGridViewColumnHeadersHeightSizeMode.DisableResizing;
             this.dgvWorkList.Columns.AddRange(new System.Windows.Forms.DataGridViewColumn[] {
             this.Column0,
@@ -473,9 +390,9 @@
             // Column0
             // 
             this.Column0.AutoSizeMode = System.Windows.Forms.DataGridViewAutoSizeColumnMode.None;
-            dataGridViewCellStyle4.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
-            dataGridViewCellStyle4.ForeColor = System.Drawing.Color.Black;
-            this.Column0.DefaultCellStyle = dataGridViewCellStyle4;
+            dataGridViewCellStyle2.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            dataGridViewCellStyle2.ForeColor = System.Drawing.Color.Black;
+            this.Column0.DefaultCellStyle = dataGridViewCellStyle2;
             this.Column0.Frozen = true;
             this.Column0.HeaderText = "№";
             this.Column0.Name = "Column0";
@@ -485,8 +402,8 @@
             // 
             // Column1
             // 
-            dataGridViewCellStyle5.ForeColor = System.Drawing.Color.Black;
-            this.Column1.DefaultCellStyle = dataGridViewCellStyle5;
+            dataGridViewCellStyle3.ForeColor = System.Drawing.Color.Black;
+            this.Column1.DefaultCellStyle = dataGridViewCellStyle3;
             this.Column1.Frozen = true;
             this.Column1.HeaderText = "構成キー";
             this.Column1.Name = "Column1";
@@ -496,9 +413,9 @@
             // 
             // Column2
             // 
-            dataGridViewCellStyle6.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleLeft;
-            dataGridViewCellStyle6.ForeColor = System.Drawing.Color.Black;
-            this.Column2.DefaultCellStyle = dataGridViewCellStyle6;
+            dataGridViewCellStyle4.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleLeft;
+            dataGridViewCellStyle4.ForeColor = System.Drawing.Color.Black;
+            this.Column2.DefaultCellStyle = dataGridViewCellStyle4;
             this.Column2.Frozen = true;
             this.Column2.HeaderText = "大項目名称";
             this.Column2.MaxInputLength = 50;
@@ -509,9 +426,9 @@
             // 
             // Column3
             // 
-            dataGridViewCellStyle7.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
-            dataGridViewCellStyle7.ForeColor = System.Drawing.Color.Black;
-            this.Column3.DefaultCellStyle = dataGridViewCellStyle7;
+            dataGridViewCellStyle5.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            dataGridViewCellStyle5.ForeColor = System.Drawing.Color.Black;
+            this.Column3.DefaultCellStyle = dataGridViewCellStyle5;
             this.Column3.Frozen = true;
             this.Column3.HeaderText = "下位";
             this.Column3.Name = "Column3";
@@ -521,10 +438,10 @@
             // 
             // Column4
             // 
-            dataGridViewCellStyle8.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
-            dataGridViewCellStyle8.Font = new System.Drawing.Font("ＭＳ 明朝", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            dataGridViewCellStyle8.ForeColor = System.Drawing.Color.Black;
-            this.Column4.DefaultCellStyle = dataGridViewCellStyle8;
+            dataGridViewCellStyle6.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            dataGridViewCellStyle6.Font = new System.Drawing.Font("ＭＳ 明朝", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            dataGridViewCellStyle6.ForeColor = System.Drawing.Color.Black;
+            this.Column4.DefaultCellStyle = dataGridViewCellStyle6;
             this.Column4.Frozen = true;
             this.Column4.HeaderText = "入力";
             this.Column4.Name = "Column4";
@@ -534,10 +451,10 @@
             // 
             // Column5
             // 
-            dataGridViewCellStyle9.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
-            dataGridViewCellStyle9.Font = new System.Drawing.Font("ＭＳ 明朝", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            dataGridViewCellStyle9.ForeColor = System.Drawing.Color.Black;
-            this.Column5.DefaultCellStyle = dataGridViewCellStyle9;
+            dataGridViewCellStyle7.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            dataGridViewCellStyle7.Font = new System.Drawing.Font("ＭＳ 明朝", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            dataGridViewCellStyle7.ForeColor = System.Drawing.Color.Black;
+            this.Column5.DefaultCellStyle = dataGridViewCellStyle7;
             this.Column5.Frozen = true;
             this.Column5.HeaderText = "経費";
             this.Column5.Name = "Column5";
@@ -577,7 +494,6 @@
             this.KeyDown += new System.Windows.Forms.KeyEventHandler(this.FrmComponent_KeyDown);
             this.tableLayoutPanel1.ResumeLayout(false);
             this.tableLayoutPanel1.PerformLayout();
-            ((System.ComponentModel.ISupportInitialize)(this.dgvTypeList)).EndInit();
             ((System.ComponentModel.ISupportInitialize)(this.dgvWorkList)).EndInit();
             this.ResumeLayout(false);
             this.PerformLayout();
@@ -614,10 +530,5 @@
         private System.Windows.Forms.DataGridViewTextBoxColumn Column3;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column4;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column5;
-        private DataGridViewEX dgvTypeList;
-        private System.Windows.Forms.DataGridViewTextBoxColumn dataGridViewTextBoxColumn1;
-        private System.Windows.Forms.DataGridViewTextBoxColumn dataGridViewTextBoxColumn2;
-        private System.Windows.Forms.DataGridViewTextBoxColumn dataGridViewTextBoxColumn3;
-        private System.Windows.Forms.DataGridViewCheckBoxColumn Column6;
     }
 }
\ No newline at end of file
Index: branches/src/ProcessManagement/ProcessManagement/Forms/Master/ComponentLink/FrmComponentLink.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/Master/ComponentLink/FrmComponentLink.cs	(revision 351)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/Master/ComponentLink/FrmComponentLink.cs	(revision 352)
@@ -718,7 +718,7 @@
             IOMComponentLink linkDB = new IOMComponentLink();
             try
             {
-                //// 一括処理なので接続を行う
+                // 一括処理なので接続を行う
                 linkDB.connect(); linkDB.beginTran();
 
                 // まず削除する
Index: branches/src/ProcessManagement/ProcessManagement/Forms/Master/ConstructionItem/FrmConstructionItem.designer.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/Master/ConstructionItem/FrmConstructionItem.designer.cs	(revision 351)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/Master/ConstructionItem/FrmConstructionItem.designer.cs	(revision 352)
@@ -180,7 +180,7 @@
             this.tableLayoutPanel1.Controls.Add(this.txtInput1, 1, 1);
             this.tableLayoutPanel1.Controls.Add(this.lblItemCode, 1, 0);
             this.tableLayoutPanel1.Controls.Add(this.cmbSubItems, 1, 2);
-            this.tableLayoutPanel1.Location = new System.Drawing.Point(600, 80);
+            this.tableLayoutPanel1.Location = new System.Drawing.Point(600, 100);
             this.tableLayoutPanel1.Name = "tableLayoutPanel1";
             this.tableLayoutPanel1.RowCount = 4;
             this.tableLayoutPanel1.RowStyles.Add(new System.Windows.Forms.RowStyle(System.Windows.Forms.SizeType.Absolute, 35F));
@@ -196,7 +196,7 @@
             this.cmbMyExpenses.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
             this.cmbMyExpenses.FlatStyle = System.Windows.Forms.FlatStyle.Popup;
             this.cmbMyExpenses.FormattingEnabled = true;
-            this.cmbMyExpenses.Location = new System.Drawing.Point(153, 112);
+            this.cmbMyExpenses.Location = new System.Drawing.Point(153, 110);
             this.cmbMyExpenses.Name = "cmbMyExpenses";
             this.cmbMyExpenses.Size = new System.Drawing.Size(200, 24);
             this.cmbMyExpenses.TabIndex = 46;
@@ -283,7 +283,7 @@
             this.cmbSubItems.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
             this.cmbSubItems.FlatStyle = System.Windows.Forms.FlatStyle.Popup;
             this.cmbSubItems.FormattingEnabled = true;
-            this.cmbSubItems.Location = new System.Drawing.Point(153, 77);
+            this.cmbSubItems.Location = new System.Drawing.Point(153, 75);
             this.cmbSubItems.Name = "cmbSubItems";
             this.cmbSubItems.Size = new System.Drawing.Size(200, 24);
             this.cmbSubItems.TabIndex = 2;
Index: branches/src/ProcessManagement/ProcessManagement/Forms/Master/ConstructionSpec/FrmConstructionSpec.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/Master/ConstructionSpec/FrmConstructionSpec.cs	(revision 351)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/Master/ConstructionSpec/FrmConstructionSpec.cs	(revision 352)
@@ -837,7 +837,7 @@
             IOMConstructionSpec csDB = new IOMConstructionSpec();
             try
             {
-                //// 一括処理なので接続を行う
+                // 一括処理なので接続を行う
                 csDB.connect(); csDB.beginTran();
 
                 // 表示順を更新する
@@ -875,7 +875,7 @@
                 // SQL作成
                 string strSQL = csDB.CreatePrimarykeyString(cw.ItemCode, cw.SpecCode);
                 List<ConstructionSpecMaster> csList = new List<ConstructionSpecMaster>();
-                // 名称マスタ取得
+                // 作業マスタ取得
                 if (!csDB.SelectAction(strSQL, ref csList, false))
                 {
                     csDB.rollback();
Index: branches/src/ProcessManagement/ProcessManagement/Forms/Master/ConstructionType/FrmConstructionType.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/Master/ConstructionType/FrmConstructionType.cs	(revision 351)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/Master/ConstructionType/FrmConstructionType.cs	(revision 352)
@@ -76,15 +76,21 @@
             TypeCode = 0,
             TypeName,
             PublicFlg,
+            RepairFlg,
             EditMode,
             DataSecRank,
         }
 
         /// <summary>
-        /// 下位項目コンボ文字列
+        /// 公共工事コンボ文字列
         /// </summary>
         private static readonly string[] cmbPublicFlgString = new string[] { "その他工事", "公共工事","民間工事" };
 
+        /// <summary>
+        /// 新築・改修コンボ文字列
+        /// </summary>
+        private static readonly string[] cmbRepairFlgString = new string[] { "新築工事", "改修工事" };
+
         #endregion
 
         #region 変数
@@ -199,7 +205,11 @@
 
             // 公共工事コンボボックスセット
             SetPublicFlgCombBox();
+            cmbPublicFlg.SelectedIndexChanged += new EventHandler(cmbPublicFlg_SelectedIndexChanged);
 
+            // 新築・改修コンボボックスセット
+            SetRepairFlgCombBox();
+
             // 選択許可区分コンボボックスセット
             SetSecRankCombBox();
             
@@ -628,6 +638,7 @@
                     lblTypeCode.Visible = true;
                 }
                 cmbPublicFlg.SelectedIndex = -1;
+                cmbRepairFlg.SelectedIndex = -1;
                 cmbDataSecRank.SelectedIndex = -1;
                 m_bChengeAns = false;
                 TypeExpensesVisible(false);
@@ -792,6 +803,7 @@
                 ci.TypeCode = m_TypeCode;
                 ci.NameString = m_dispControl[(int)DispCtrl.TypeName].Text.ToString();
                 ci.PublicFlg = CommonMotions.cnvInt(cmbPublicFlg.SelectedValue);
+                ci.RepairFlg = CommonMotions.cnvInt(cmbRepairFlg.SelectedValue);
                 ci.SecRank = CommonMotions.cnvInt(cmbDataSecRank.SelectedValue);
                 if (radioButton1.Checked) ci.ExpensesLink = 0; else ci.ExpensesLink = 1;
                 ci.DeleteFlg = 0;
@@ -946,13 +958,13 @@
                     // 工事種別を選択
                     switch (work.PublicFlg)
                     {
-                        case (int)ConstructionTypeMaster.ConstructionTypeDef.Other:
+                        case (int)ConstructionTypeMaster.PublicFlgDef.Other:
                             sflg = cmbPublicFlgString[0].Substring(0, 3);
                             break;
-                        case (int)ConstructionTypeMaster.ConstructionTypeDef.Community:
+                        case (int)ConstructionTypeMaster.PublicFlgDef.Community:
                             sflg = cmbPublicFlgString[1].Substring(0, 2);
                             break;
-                        case (int)ConstructionTypeMaster.ConstructionTypeDef.Popular:
+                        case (int)ConstructionTypeMaster.PublicFlgDef.Popular:
                             sflg = cmbPublicFlgString[2].Substring(0, 2);
                             break;
                     }
@@ -1013,6 +1025,7 @@
             {
                 // 画面クリア
                 ClearDisplay();
+                cmbPublicFlg.SelectedIndexChanged -= new EventHandler(cmbPublicFlg_SelectedIndexChanged);
 
                 // 新規時は表示しない
                 if (m_TypeCode == 0) return;
@@ -1028,6 +1041,7 @@
                     m_dispControl[(int)DispCtrl.TypeCode].Text = wrklist[0].TypeCode.ToString();        // 種別コード
                     m_dispControl[(int)DispCtrl.TypeName].Text = wrklist[0].NameString.ToString();      // 種別名称
                     cmbPublicFlg.SelectedValue = wrklist[0].PublicFlg;                                  // 工事種別
+                    cmbRepairFlg.SelectedValue = wrklist[0].RepairFlg;                                  // 新築・改修区分
                     cmbDataSecRank.SelectedValue = wrklist[0].SecRank;                                  // 選択機密区分
                     if (wrklist[0].ExpensesLink == 0)
                     {
@@ -1050,6 +1064,16 @@
                         m_dispControl[(int)DispCtrl.EditMode].Text = CommonDefine.EditModeStringEdit;               // 修正
                 }
 
+                // 公共工事以外は入力させない
+                if (CommonMotions.cnvInt(cmbPublicFlg.SelectedValue) == (int)ConstructionTypeMaster.PublicFlgDef.Community)
+                {
+                    cmbRepairFlg.Enabled = true;
+                }
+                else
+                {
+                    cmbRepairFlg.Enabled = false;
+                }
+
                 // 参照時はデータ変更させない
                 if (m_EditLock)
                 {
@@ -1064,8 +1088,8 @@
             }
             finally
             {
-                typeDB.close();
-                typeDB = null;
+                typeDB.close(); typeDB = null;
+                cmbPublicFlg.SelectedIndexChanged += new EventHandler(cmbPublicFlg_SelectedIndexChanged);
             }
         }
         #endregion
@@ -1152,6 +1176,34 @@
         }
         #endregion
 
+        #region 新築・改修コンボボックスセット
+        /// <summary>
+        /// 新築・改修コンボボックスセット
+        /// </summary>
+        private void SetRepairFlgCombBox()
+        {
+            try
+            {
+                List<KeyValuePair<int, string>> DataList = new List<KeyValuePair<int, string>>();
+                DataList.Add(new KeyValuePair<int, string>(0, ""));
+                // データ表示
+                for (int i = 0; i < cmbRepairFlgString.Length; i++)
+                {
+                    KeyValuePair<int, string> keyval = new KeyValuePair<int, string>((i + 1), cmbRepairFlgString[i]);
+
+                    DataList.Add(keyval);
+                }
+                // コンボボックス初期表示
+                ComboBoxAction.InitDataSetCombBox(cmbRepairFlg, DataList);
+                cmbRepairFlg.SelectedValue = 0;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
         #region 機密区分コンボボックス初期表示処理
         /// <summary>
         /// 機密区分コンボボックス初期表示処理
@@ -1266,5 +1318,27 @@
             dgvExpenses[e.ColumnIndex, e.RowIndex].Value = dwork.ToString("0.0");
         }
         #endregion
+
+        #region 公共工事フラグコンボ変更処理
+        /// <summary>
+        /// 公共工事フラグコンボ変更処理
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void cmbPublicFlg_SelectedIndexChanged(object sender, EventArgs e)
+        {
+            ComboBox CurCtrl = (ComboBox)sender;
+            int nPublicFlg = CommonMotions.cnvInt(CurCtrl.SelectedValue);
+            switch (nPublicFlg)
+            {
+                case (int)ConstructionTypeMaster.PublicFlgDef.Community:
+                    cmbRepairFlg.Enabled = true;
+                    break;
+                default:
+                    cmbRepairFlg.Enabled = false;
+                    break;
+            }
+        }
+        #endregion
     }
 }
\ No newline at end of file
